org.eclipse.viatra.query.runtime.extensibility

## Class SingletonQueryGroupProvider

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.util.SingletonInstanceProvider<IQueryGroup>
  - - org.eclipse.viatra.query.runtime.extensibility.SingletonQueryGroupProvider

- All Implemented Interfaces:
    java.util.function.Supplier<IQueryGroup>, IQueryGroupProvider, IProvider<IQueryGroup>

      public class SingletonQueryGroupProvider
      extends SingletonInstanceProvider<IQueryGroup>
      implements IQueryGroupProvider

  Provider implementation for storing an existing query group instance.
  Since:
    1.3

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.viatra.query.runtime.matchers.util.IProvider

      `IProvider.ProvidedValueFunction`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingletonQueryGroupProvider(IQueryGroup instance)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.String>` | `getQuerySpecificationFQNs()` Note that the provider should load the query group class only if the FQNs can not be computed in other ways.
    `java.util.Set<IQuerySpecificationProvider>` | `getQuerySpecificationProviders()` Note that the provider should load the query group class only if the FQNs can not be computed in other ways.

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.util.SingletonInstanceProvider

      `get`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Supplier

      `get`

- - ### Constructor Detail

    - #### SingletonQueryGroupProvider

          public SingletonQueryGroupProvider(IQueryGroup instance)

      Parameters:
        `instance` - the instance to wrap

  - ### Method Detail

    - #### getQuerySpecificationFQNs

          public java.util.Set<java.lang.String> getQuerySpecificationFQNs()

      Description copied from interface: `IQueryGroupProvider`
      Note that the provider should load the query group class only if the FQNs can not be computed in other ways.
      Specified by:
        `getQuerySpecificationFQNs` in interface `IQueryGroupProvider`
      Returns:
        the set of query specification FQNs in the group

    - #### getQuerySpecificationProviders

          public java.util.Set<IQuerySpecificationProvider> getQuerySpecificationProviders()

      Description copied from interface: `IQueryGroupProvider`
      Note that the provider should load the query group class only if the FQNs can not be computed in other ways.
      Specified by:
        `getQuerySpecificationProviders` in interface `IQueryGroupProvider`
      Returns:
        a set of providers for query specifications in the group